You are here: Home » Reply » Reply To: svn-1696 FreeBSD "plugins/plugin_dir not specified&quot

Reply To: svn-1696 FreeBSD "plugins/plugin_dir not specified&quot

#14218
rpedde
Participant

@Osik wrote:

-rw-r–r– 1 root wheel 133582 Nov 4 23:41 libout-daap.a
-rwxr-xr-x 1 root wheel 94969 Nov 4 23:41 libout-daap.so.0.0
-rw-r–r– 1 root wheel 63392 Nov 4 23:41 librsp.a
-rwxr-xr-x 1 root wheel 46492 Nov 4 23:41 librsp.so.0.0
-rw-r–r– 1 root wheel 17546 Nov 4 23:41 libssc-script.a
-rwxr-xr-x 1 root wheel 18070 Nov 4 23:41 libssc-script.so.0.0
-rwxr-xr-x 1 root wheel 1123 Nov 4 23:41 out-daap.la
-rwxr-xr-x 1 root wheel 1093 Nov 4 23:41 rsp.la
-rwxr-xr-x 1 root wheel 1135 Nov 4 23:41 ssc-script.la

Your libtool isn’t honoring -avoid-version. You should be able to make a symlink for “librsp.so” to “librsp.so.0.0”, etc, and it should work.

— Ron